Bug 111076 - RFE: enable forwarding
RFE: enable forwarding
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
rawhide
i686 Linux
high Severity medium
: ---
: ---
Assigned To: Harald Hoyer
: FutureFeature
Depends On:
Blocks: 87718
  Show dependency treegraph
 
Reported: 2003-11-27 01:32 EST by Ivo Sarak
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-13 06:17:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ivo Sarak 2003-11-27 01:32:15 EST
Description of problem:
redhat-config-network does let me define several network interfaces
and routes. Only "little" problem is that if to reboot the box the
routes and interfaces are defined, but routing is disabled
(/proc/sys/net/ipv4/ip_forward content is 0).

Version-Release number of selected component (if applicable):
redhat-config-network-1.3.10-1

How reproducible:
Always

Steps to Reproduce:
1. Add couple of LAN cards to the system;
2. Configure these with redhat-config-network;
3. Reboot the box;
  
Actual results:
/proc/sys/net/ipv4/ip_forward content is 0 and routing is disabled.

Expected results:
Either let me choose explisitly to "enable routing" in
redhat-config-network or do it by default when different
networks/routes are defined.

Additional info:

I asked help from Fedora list and it seems that routing enabling has
never been a simple task and "echo 1 > /proc/sys/net/ipv4/ip_forward"
in /etc/rc.d/rc.local is standard practice.
Comment 1 Marius Andreiana 2005-05-13 04:29:51 EDT
system-config-network should write to sysctl.conf and on apply/exit should run
"sysctl -p", don't use echo 1 > ...

Note You need to log in before you can comment on or make changes to this bug.